Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - i -

- i : cparse_params
- i0 : C_block
- i1 : C_block
- ic_class : iseq_inline_cache_entry
- ic_entries : rb_iseq_struct
- ic_size : rb_iseq_struct
- ic_value : iseq_inline_cache_entry
- ic_vmstat : iseq_inline_cache_entry
- iconv : nkf_native_encoding
- iconv_func : input_code
- id : rb_method_attr_struct , conv_method_tbl , YYSTYPE , METHOD , autoload_const_set_args , rb_trace_arg_struct , nkf_encoding , token_assoc , RNode , rb_global_entry , kwtable
- id_str : symbols
- ifnone : RHash
- ignore_case : OptExactInfo
- imag : RComplex
- implicit : yaml_event_s
- in_buf_end : rb_econv_t
- in_buf_start : rb_econv_t
- in_data_end : rb_econv_t
- in_data_start : rb_econv_t
- inc_sp : rb_call_info_struct
- increase : rb_objspace
- increment : rb_objspace
- indent : JSON_Generator_StateStruct , yaml_parser_s , yaml_emitter_s
- indent_len : JSON_Generator_StateStruct
- indention : yaml_emitter_s
- indents : yaml_parser_s , yaml_emitter_s
- index : default_encoding , input_code , yaml_mark_s , yaml_alias_data_s , olemethoddata , olevariabledata , oleparamdata , mark_stack , cmdline_options , rb_econv_init_by_convpath_t , iseq_inline_cache_entry , rb_call_info_struct
- infection : dump_arg , load_arg
- init : sip_interface_st
- init_func : rb_digest_metadata_t
- init_p : argf
- initial_free_min : ruby_gc_params_t
- initial_heap_min_slots : ruby_gc_params_t
- initial_length : FBufferStruct
- initial_malloc_limit : ruby_gc_params_t
- inline_const_cache : rb_compile_option_struct
- inplace : argf
- input : yaml_parser_s , zstream
- input_unit_length : rb_transcoder
- insn_id : iseq_insn_data
- inspectname : rb_addrinfo_t
- instance : PepperInstance
- instructions_unification : rb_compile_option_struct
- int_map : re_pattern_buffer
- int_map_backward : re_pattern_buffer
- intern : cmdline_options
- internals : rof_data
- interp : eval_queue , call_queue , evloop_params , invoke_queue
- interrupt : zstream_run_args
- interrupt_event : native_thread_data_struct
- interrupt_flag : rb_thread_struct
- interrupt_lock : rb_thread_struct
- interrupt_mask : rb_thread_struct
- invoke : rb_execarg
- invoke_time : rb_objspace
- invoker : rb_method_cfunc_struct
- io : seek_arg , foreach_arg , write_arg , gzfile
- iov_base : iovec , __siov
- iov_len : iovec , __siov
- ip : tcltkip
- ipaddr : hostent_arg
- is_allowed_reverse_match : OnigEncodingTypeST
- is_code_ctype : OnigEncodingTypeST
- is_from_method : rb_proc_t
- is_lambda : rb_proc_t
- is_marked : gc_profile_record
- is_mbc_newline : OnigEncodingTypeST
- is_refered : QtfrNode
- is_ripper : parser_params
- isdst : vtm
- iseq : rb_backtrace_location_struct , rb_block_struct , iseq_catch_table_entry , rb_control_frame_struct , rb_backtrace_location_struct , rb_method_definition_struct , rb_iseq_struct
- iseq_encoded : rb_iseq_struct
- iseq_size : rb_iseq_struct
- items : yaml_node_s
- iter_lev : RHash
- iv_index_tbl : RObject , RClass
- iv_tbl : rb_classext_struct
- ivar : cbsubst_info
- ivptr : RObject